Page MenuHomePhabricator

Gerrit should include summaries of and links to inline comments in the cover comment
Closed, ResolvedPublic

Description

If the inline comments were included (or had an option to be included) in the main cover comment, it'd be a lot easier to follow them. Links to the specific patchset file position in which they are placed would also make it a lot easier to get to them.

As it is (2 inline comments) just is not that useful.


Version: wmf-deployment
Severity: normal
URL: https://code.google.com/p/gerrit/issues/detail?id=93

Details

Reference
bz46792

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:35 AM
bzimport added projects: Gerrit, Upstream.
bzimport set Reference to bz46792.
bzimport added a subscriber: Unknown Object (MLST).
Isarra created this task.Apr 2 2013, 3:18 PM

The workflow is especially difficult when you have responded to existing comments on Patch Set N and then someone new comments on the same patch set. It seems the best you can do is visit every file in the patch set that has comments and Ctrl+F/Ctrl+G to search for the new reviewer's name.

Allegedly fixed upstream (2.9)! \o/ https://code.google.com/p/gerrit/issues/detail?id=93
Worth running any exploding non-stable version or sacrificing entire herds of scapegoats just to have this one feature, IMHO.

I had noticed it was backported to 2.8 but not which point version; Legoktm points out you have to "switch to the new change screen in your prefs" (i.e. https://gerrit.wikimedia.org/r/#/settings/preferences "Change View:"). http://cl.ly/image/0C3e1v0m1u2O
I suppose this bug will be fixed (only) when our server is switched to the new change view then? (And I understood we're not going to do so that soon if ever.)

The new change view has some problems, yeah, but IMO it's an improvement over the current one – it just needs some polish. I switched to it already :)

There is a list of problems with new change view on at http://etherpad.wikimedia.org/p/new-gerrit-change-view-comments (I started it, Legoktm and Isarra contributed), feel free to add items or file them upstream.

demon removed a subscriber: demon.Dec 8 2014, 6:25 PM
Aklapper triaged this task as Lowest priority.Mar 23 2015, 6:59 PM
saper removed a subscriber: saper.Mar 23 2015, 7:57 PM
Paladox added a subscriber: Paladox.

It has been fixed in https://gerrit-review.googlesource.com/#/c/51826/

And we will be upgrading to gerrit 2.12 soon anyways.

demon closed this task as Resolved.Jul 25 2016, 3:34 PM
demon claimed this task.
demon added a subscriber: demon.

Yay moar comments!